<?php

namespace AppBundle\Form;

use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class DatosUsuarioGrupoComunitarioRegistroType extends DatosUsuarioType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        parent::buildForm($builder, $options);
        $builder->remove('objetivo')->remove('actividad')->remove('lugar_desarrollo')->remove('poblacion_beneficiaria');
    }
    
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'AppBundle\Entity\DatosUsuarioGrupoComunitario'
        ));
    }
    
    public function getParent()
    {
        return 'AppBundle\Form\DatosUsuarioGrupoComunitarioType';

        // Or for Symfony < 2.8
        // return 'fos_user_registration';
    }
    
    
    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'appbundle_datosusuariogrupocomunitario';
    }


}
