<?php

namespace AppBundle\Controller;

use AppBundle\Entity\EvidenciaImagen;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\JsonResponse;


/**
 *
 */
class SlideshowController extends Controller
{
    /**
     * Lists all actividad entities.
     *
     */
    public function indexAction(Request $request)
    {

        $em = $this->getDoctrine()->getManager();

        $paginator  = $this->get('knp_paginator');

        $query = $em->getRepository('AppBundle:Evidencia')->findImagenEvidencia();

        $pagination = $paginator->paginate(
            $query, /* query NOT result */
            $request->query->getInt('page', 1), /*page number*/
            5 /*limit per page*/
        );

        /*$this->addFlash(
                'success',
                '¡Tus cambios fueron guardados!'
                );*/

        return $this->render('slideshow/index.html.twig', array(
            'evidencias' => $pagination,
            'upload_dir' => $this->getParameter('upload_directory'),
        ));
    }

    public function updateAction(Request $request)
    {
        $response = new JsonResponse();
        $response->setStatusCode(200);

        if ($request->getMethod="POST") {

            $selected_values = $request->request->get('selected_values');


            $em = $this->getDoctrine()->getManager();

            $qb = $em->createQueryBuilder();
            $q = $qb->update('AppBundle\Entity\EvidenciaImagen', 'e')
                    ->set('e.home', 'NULL')
                    ->getQuery();
            $p = $q->execute();

            if ($selected_values != NULL && !empty($selected_values)) {
                $ids = array_reduce($selected_values, 'array_merge', array());
                if ($ids != NULL && !empty($ids)) {
                    $q2 = $em->createQuery("UPDATE AppBundle\Entity\EvidenciaImagen e SET e.home = true WHERE e.id IN (:ids)")
                    ->setParameter(':ids', $ids, \Doctrine\DBAL\Connection::PARAM_STR_ARRAY);
                    $p2 = $q2->execute();
                }
            }
        }

        return $response; 
    }

 
}
