<?php

namespace AppBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\Filesystem\Filesystem;

class UploadController extends Controller
{

    public function tienePermiso($archivo){
        // re implementar en subclase
        //$imagen->getPublicacion()->getEmpresa()->getUsuario() == $this->getUser()
        return true;
    }

    /**
     *
     */
    public function deleteFile(Request $request, $claseEntidadImagen)
    {
        $response = new JsonResponse();
        $response->setStatusCode(200);
        $imagen_id = $request->request->get('imagen_id');
        $imagen_nombre = $request->request->get('imagen_nombre');
        $em = $this->getDoctrine()->getManager();
        $repo = $this->getDoctrine()->getRepository('AppBundle:' . $claseEntidadImagen);
        $imagen = $repo->find($imagen_id);

        if ($imagen && ($imagen->getNombre() === $imagen_nombre) && $this->tienePermiso($imagen) ) {
            $em->remove($imagen);
            $filesystem = new Filesystem();
            $filesystem->remove($this->getParameter('upload_directory') . $imagen_nombre);
            $filesystem->remove($this->getParameter('upload_directory') . '/thumb/'. $imagen_nombre);
            $response->setData(array(
                'response' => 'success'
            ));
        }
        else{
            $response->setData(array(
                'response' => 'fail'
            ));
        }

        $em->flush();

        return $response;
    }

    /**
     *
     */
    public function getFiles($claseEntidad, $file_id)
    {
        $result  = array();

        $response = new JsonResponse();
        $response->setStatusCode(200);

        if((!empty($file_id)) && ($file_id!=0)){
            
            $repo = $this->getDoctrine()->getRepository('AppBundle:' . $claseEntidad);

            $entidad = $repo->find($file_id);
            if ($entidad !=null) {
                $imagenes = $entidad->getImagenes();
                if($imagenes!=null){
                    foreach ($imagenes as $imagen) {
                        $obj['name']="";
                        $obj['size']=0;
                        $obj['imagen_id']=$imagen->getId();
                        $obj['imagen_nombre']=$imagen->getNombre();
                        $result[] = $obj;
                    }
                }
            }
        }
       
        $response->setData($result);
        return $response;
    }

    public function writeThumbnail($fullSizeImgWebPath, $thumbAbsPath, $filter) {
        $container = $this->container;
        $dataManager = $container->get('liip_imagine.data.manager');    // the data manager service
        $filterManager = $container->get('liip_imagine.filter.manager'); // the filter manager service
        
        $image = $dataManager->find($filter, $fullSizeImgWebPath);                    // find the image and determine its type
        $response = $filterManager->applyFilter($image, $filter);
    
        $thumb = $response->getContent();                               // get the image from the response
    
        $f = fopen($thumbAbsPath, 'w');                                        // create thumbnail file
        fwrite($f, $thumb);                                             // write the thumbnail
        fclose($f);                                                     // close the file
    }
    
    
    public function getContentType($ext) {
            $ext = ($ext=="jpg")?"jpeg":$ext;
            $ext_permitidas = array('png','jpeg');
            $content_type = 'image/png';
            if (in_array($ext, $ext_permitidas)) {
                $content_type = "image/$ext";
            }
            return $content_type;
    }
}