<?php

namespace AppBundle\Form;

use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;


class DatosUsuarioMunicipioType extends DatosUsuarioType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
        ->add('nombre',null ,['attr' => ["placeholder" => "Nombre *"]] )
        ->add('nombre_responsable')
        ->add('direccion',null,array('label'=>'Dirección', 'attr' => array('placeholder' => 'Ingrese Dirección')));    
        $builder->add('cp',null,array('label'=>'Código Postal', 'attr' => array('placeholder' => 'Código Postal')));    
        $builder->add('municipio');
    }
    
     /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'AppBundle\Entity\DatosUsuarioMunicipio'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'appbundle_datosusuariomunicipio';
    }


}
